Up

# NSExtensionContext class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSExtensionContext class

## NSExtensionContext : NSObject

> Declared in:
>   Foundation/NSExtensionContext.h

Availability: MacOS-X 10.10.0
Description forthcoming.

Instance Variables
Method summary

- -cancelRequestWithError:
- -completeRequestReturningItems:completionHandler:
- -inputItems
- -openURL:completionHandler:
- -setInputItems:

### cancelRequestWithError:

- (void) cancelRequestWithError: (NSError*)error;
Availability: MacOS-X 10.10.0
Description forthcoming.

### completeRequestReturningItems: completionHandler:

- (void) completeRequestReturningItems: (NSArray*)items completionHandler: (GSExtensionContextReturningItemsCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### inputItems

- (NSArray*) inputItems;
Availability: MacOS-X 10.10.0
Description forthcoming.

### openURL: completionHandler:

- (void) openURL: (NSURL*)URL completionHandler: (GSOpenURLCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setInputItems:

- (void) setInputItems: (NSArray*)inputItems;
Availability: MacOS-X 10.10.0
Description forthcoming.

## Instance Variables for NSExtensionContext Class

### _inputItems

@protected NSArray* _inputItems;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up